curl --request GET \
--url https://api.example.com/v1/fetcher/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/fetcher/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/fetcher/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-07-13T12:00:00Z",
"id": "01980a89-21f0-7d7e-a109-564b5c6f53ac",
"mappedFields": {
"ledger": {
"transactions": [
"id",
"amount"
]
}
},
"status": "completed",
"completedAt": "2026-07-13T12:05:00Z",
"filters": {
"ledger": {
"transactions": {
"status": {
"eq": [
"approved"
]
}
}
}
},
"metadata": {
"correlationId": "settlement-2026-07-13",
"source": "payments"
},
"requestHash": "d7a8fbb307d7809469ca9abcb0082e4f8d5651e46d3cdb762d02d0bf37c9e592",
"resultHmac": "9dc118e1d4efdcf0f45bb646c38c2a02e9c20b0fc2c75c1a9be0fae200bd9f93",
"resultPath": "s3://fetcher-results/jobs/01980a89-21f0-7d7e-a109-564b5c6f53ac.json"
}{
"code": "ERR-0001",
"detail": "A propriedade foo é obrigatória, mas está ausente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Requisição inválida",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "A propriedade foo é obrigatória, mas está ausente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Requisição inválida",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "A propriedade foo é obrigatória, mas está ausente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Requisição inválida",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "A propriedade foo é obrigatória, mas está ausente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Requisição inválida",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "A propriedade foo é obrigatória, mas está ausente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Requisição inválida",
"type": "https://example.com/errors/example"
}{
"code": "ERR-0001",
"detail": "A propriedade foo é obrigatória, mas está ausente.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Requisição inválida",
"type": "https://example.com/errors/example"
}Consultar um job de extração de dados
Retorna um job de extração de dados pelo identificador.
Autorizações
Token JWT do tipo bearer emitido pelo provedor de identidade.
Parâmetros de caminho
Identificador do recurso.
"2f1f35f4-4f50-44f3-a8ab-2772d395f0c2"
Resposta
OK
Data e hora UTC em que o job de extração foi criado.
"2026-07-13T12:00:00Z"
Identificador exclusivo do job de extração.
"01980a89-21f0-7d7e-a109-564b5c6f53ac"
Campos solicitados para extração, agrupados por fonte de dados e tabela.
Show child attributes
Show child attributes
{
"ledger": { "transactions": ["id", "amount"] }
}
Status atual de processamento do job de extração.
"completed"
Data e hora UTC em que o job de extração atingiu um estado terminal.
"2026-07-13T12:05:00Z"
Condições de filtro aplicadas à extração.
Show child attributes
Show child attributes
{
"ledger": {
"transactions": { "status": { "eq": ["approved"] } }
}
}
Metadados públicos definidos pelo chamador e armazenados com o job de extração.
Show child attributes
Show child attributes
{
"correlationId": "settlement-2026-07-13",
"source": "payments"
}
Resumo SHA-256 usado para detectar solicitações duplicadas idempotentes.
"d7a8fbb307d7809469ca9abcb0082e4f8d5651e46d3cdb762d02d0bf37c9e592"
Resumo HMAC usado para verificar a integridade do resultado.
"9dc118e1d4efdcf0f45bb646c38c2a02e9c20b0fc2c75c1a9be0fae200bd9f93"
Caminho de armazenamento do resultado de extração gerado.
"s3://fetcher-results/jobs/01980a89-21f0-7d7e-a109-564b5c6f53ac.json"
Esta página foi útil?

